{
    "path": "$OET_PATH/testcases/function_test/pkg_test/erlang/erlang-crypto",
    "machine num": 1,
    "cases": [
        {
            "name": "test_erlang-crypto_function_install",
            "desc": "测试 erlang-crypto 软件包的安装功能。"
        },
        {
            "name": "test_erlang-crypto_function_verify",
            "desc": "验证 erlang-crypto 软件包是否已正确安装。"
        },
        {
            "name": "test_erlang-crypto_function_hash",
            "desc": "测试使用 crypto:hash 函数生成消息摘要。"
        },
        {
            "name": "test_erlang-crypto_function_hmac",
            "desc": "测试使用 crypto:hmac 函数生成 HMAC。"
        },
        {
            "name": "test_erlang-crypto_function_block_encrypt",
            "desc": "测试使用 crypto:block_encrypt 进行对称加密。"
        },
        {
            "name": "test_erlang-crypto_function_block_decrypt",
            "desc": "测试使用 crypto:block_decrypt 进行对称解密。"
        },
        {
            "name": "test_erlang-crypto_function_generate_key",
            "desc": "测试使用 crypto:generate_key 生成加密密钥。"
        },
        {
            "name": "test_erlang-crypto_function_uninstall",
            "desc": "测试 erlang-crypto 软件包的卸载功能。"
        }
    ]
}